Page MenuHomePhabricator

Migrate deployment-cache* boxes to buster
Closed, ResolvedPublic

Description

Since https://gerrit.wikimedia.org/r/c/operations/puppet/+/584553/3/modules/profile/manifests/base/systemd.pp (required by profile::cache::base) puppet has been failing on these old stretch boxes (deployment-cache-upload05, deployment-cache-text05). Since I'm in the middle of replacing them with buster boxes (deployment-cache-upload06, deployment-cache-text06) I figured I should make a task.

Event Timeline

Krenair created this task.Apr 11 2020, 2:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2020, 2:57 PM

Mentioned in SAL (#wikimedia-releng) [2020-04-11T15:07:22Z] <Krenair> Migrated from deployment-cache-text05 (stretch) to deployment-cache-text06 (buster) - class stopped working on stretch with https://gerrit.wikimedia.org/r/c/operations/puppet/+/584553 - shut down old instance - T250006

current status: beta is up externally, labsaliaser problems means it's not accessible internally from within Cloud VPS, but that probably doesn't affect anything other than shinken monitoring

Looks fine now, will delete the old hosts in a week or so.

Krenair closed this task as Resolved.Apr 18 2020, 7:43 PM

Tidied away old deployment-cache-upload05 / deployment-cache-text05